<template>
  <div class="ui-link-menu">
    <slot></slot>
  </div>
</template>
<script>
export default {
  name: 'UiLinkMenu',
  provide() {
    return {
      UiLinkMenu: this
    }
  },
  props: {
    type: {
      type: String,
      default: 'default',
      validator(value) {
        return ['default', 'primary', 'success', 'info', 'warning', 'danger'].includes(value)
      }
    }
  }
}
</script>
<style lang="less">
.ui-link-menu {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
}
</style>
